<?php
$placeholder = get_theme_mod(
    'aurora_lite_search_placeholder',
    esc_html__('Search posts…', 'aurora-lite')
);
?>

<form role="search"
      method="get"
      class="search-form"
      action="<?php echo esc_url( home_url( '/' ) ); ?>">

    <label class="search-wrapper">
        <span class="screen-reader-text">
           <?php echo esc_html( _x( 'Search for:', 'search form label', 'aurora-lite' ) ); ?>
        </span>

        <input
            type="search" class="search-field aurora-lite-search-input" name="s" 
            placeholder="<?php echo esc_attr( get_theme_mod('aurora_lite_search_placeholder', esc_html__('Search posts…', 'aurora-lite')) ); ?>"
            value="<?php echo esc_attr( get_search_query() ); ?>"
        />
    </label>

    <button type="submit" class="search-submit">
        <i class="fa-solid fa-search" aria-hidden="true"></i>
        <span class="btn-text"><?php esc_html_e( 'Search', 'aurora-lite' ); ?></span>
    </button>

</form>